Loading...
Searching...
No Matches
FileType Class Referenceabstract
Inheritance diagram for FileType:
[legend]

## Public Member Functions

virtual bool | operator== (void *rhs)=0
virtual bool | operator!= (void *rhs)=0
virtual int | close ()=0
virtual void | rewind ()=0
virtual int | eof ()=0
virtual bool | isOpen ()=0
virtual unsigned int | write (const void *buffer, unsigned int size)=0
virtual int | read (void *buffer, unsigned int size)=0
virtual int64_t | tell ()=0
virtual bool | seek (int64_t offset, int origin)=0
void | setBuffered (bool buffered)
virtual bool | attemptRecoverySync (bool(*checkSignature)(void *data), int length)

## Protected Attributes

bool | myUsingBuffer

## Detailed Description

Definition at line 23 of file FileType.h.

## Constructor & Destructor Documentation

## FileType()

FileType::FileType | ( |  | ) |

Definition at line 20 of file FileType.cpp.

{
};

## ~FileType()

FileType::~FileType | ( |  | ) |

virtual

Definition at line 25 of file FileType.cpp.

{
};

## Member Function Documentation

## attemptRecoverySync()

bool FileType::attemptRecoverySync | ( | bool(* | checkSignature )(void *data),
|  | int | length )

virtual

Definition at line 46 of file FileType.cpp.

{
return false;
}

## setBuffered()

void FileType::setBuffered | ( | bool | buffered | ) |

Definition at line 34 of file FileType.cpp.

{
myUsingBuffer = buffered;
}

## Member Data Documentation

## myUsingBuffer

bool FileType::myUsingBuffer

protected

Definition at line 80 of file FileType.h.

The documentation for this class was generated from the following files:

- general/FileType.h
- general/FileType.cpp